## netname-2.2.tar.gz

=== Makefile ===
#
# Makefile for netname
#
# Makefile,v 1.7 2011/08/25 18:00:21 kim Exp
#
SHELL	= /bin/sh

RM	= rm -f
MV	= mv -f
INSTALL	= install

DEST	= /usr/local
BINDIR	= $(DEST)/bin
MANDIR	= $(DEST)/man/man$(MANEXT)
MANEXT	= 1

#
# STOP HERE
#

DEFTGT	= netname

all:
	@echo ""
	@echo "Use '$(MAKE) system' where system is one of the following:"
	@echo "- hpux      HP-UX"
	@echo "- linux     Linux"
	@echo "- netbsd    NetBSD"
	@echo "- osf       OSF/1 (Digital Unix)"
	@echo "- sunos     SunOS 4.x (gcc for ANSI-C)"
	@echo "- svr4      System V Release 4 (Dell SVR4 Issue 2.2)"
	@echo "- ultrix    Ultrix 4.4/4.5"
	@echo ""

hpux:
	@$(MAKE) $(DEFTGT) \
		CFLAGS="-Aa -D_HPUX_SOURCE +O3 +w1"

linux netbsd:
	@$(MAKE) $(DEFTGT) \
		CFLAGS="-pipe -O2 -Wall"

osf:
	@$(MAKE) $(DEFTGT) \
		CFLAGS="-fast -w0"

sunos:
	@$(MAKE) $(DEFTGT) \
		CC="gcc -pipe -Wall" \
		CFLAGS="-O2" \
		LIBES="-lresolv"

svr4:
	@$(MAKE) $(DEFTGT) \
		CC="gcc -pipe -Wall" \
		CFLAGS="-O2" \
		LIBES="-lsocket -lnsl"

ultrix:
	@$(MAKE) $(DEFTGT) \
		CFLAGS="-O2"

#
# NORMAL COMPILATION
#

FILES	= 	Makefile \
		README \
		netname.c \
		netname.man

netname: netname.c
	$(CC) $(CFLAGS) -o $@ $? $(LIBES)

inst-all: install install.man

install:
	-$(MV) $(BINDIR)/netname $(BINDIR)/netname.old
	-$(RM) $(BINDIR)/netname.old
	$(INSTALL) -c -s -m 0555 netname $(BINDIR)

install.man:
	-$(RM) $(MANDIR)/netname.$(MANEXT)
	$(INSTALL) -c -m 0444 netname.man $(MANDIR)/netname.$(MANEXT)

clean:
	$(RM) netname netname.tar.gz *.o *~

tar: netname.tar.gz
	@ls -l netname.tar.gz

netname.tar.gz: $(FILES)
	-$(RM) $@
	tar -czf $@ $(FILES)

=== debian/changelog ===
netname (2.2-1) unstable; urgency=low

  * Adds -a and -n options.

 -- Kimmo Suominen <kimmo@gw.com>  Thu, 08 Dec 2011 05:19:38 +0200

netname (2.0-2) unstable; urgency=low

  * Fix packaging to be for a binary (arch-dependent)

 -- Kimmo Suominen <kimmo@gw.com>  Fri, 02 Sep 2011 00:14:52 +0300

netname (2.0-1) unstable; urgency=low

  * Initial release

 -- Kimmo Suominen <kimmo@gw.com>  Thu, 01 Sep 2011 17:44:28 +0300

=== debian/control ===
Source: netname
Section: net
Priority: extra
Maintainer: Kimmo Suominen <kimmo@gw.com>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.4
Homepage: http://kimmo.suominen.com/sw/
#Vcs-Git: git://git.debian.org/collab-maint/netname.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/netname.git;a=summary

Package: netname
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Return the canonical network name of a host
 netname  returns  the  canonical  network name of the given host on the
 standard output.  If no host is given, the name of the local machine is
 used.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess.
#
# This version is for packages that are architecture dependent.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) linux

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/<packagename>.
	$(MAKE) DEST=`pwd`/debian/`dh_listpackages`/usr install
	$(MAKE) DEST=`pwd`/debian/`dh_listpackages`/usr/share install.man

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installwm
#	dh_installudev
#	dh_lintian
#	dh_bugfiles
#	dh_undocumented
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
